org.apache.cassandra.transport

## Class FrameCompressor.SnappyCompressor

- java.lang.Object
- - org.apache.cassandra.transport.FrameCompressor.SnappyCompressor

All Implemented Interfaces:
  FrameCompressor

Enclosing interface:
  FrameCompressor

    public static class FrameCompressor.SnappyCompressor
    extends java.lang.Object
    implements FrameCompressor

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.cassandra.transport.FrameCompressor

`FrameCompressor.LZ4Compressor, FrameCompressor.SnappyCompressor`

### Field Summary

Fields
`static FrameCompressor.SnappyCompressor` `instance`

### Method Summary

All Methods Instance Methods Concrete Methods
`Frame` `compress(Frame frame)`
`Frame` `decompress(Frame frame)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### instance

    public static final FrameCompressor.SnappyCompressor instance

### Method Detail

#### compress

    public Frame compress(Frame frame)
                   throws java.io.IOException

Specified by:
  `compress` in interface `FrameCompressor`
Throws:
  `java.io.IOException`

#### decompress

    public Frame decompress(Frame frame)
                     throws java.io.IOException

Specified by:
  `decompress` in interface `FrameCompressor`
Throws:
  `java.io.IOException`